Name:          openorb
Version:       1.4.0
Release:       %mkrel 1
Summary:       Java CORBA Object Request Broker
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/openorb/OpenORB/%{version}/OpenORB-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: batik
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: checkstyle
BuildRequires: excalibur-configuration
BuildRequires: fop
BuildRequires: hsqldb
BuildRequires: java-devel
BuildRequires: javahelp2
BuildRequires: jfor
BuildRequires: jpackage-utils
BuildRequires: xalan-j2
BuildRequires: xalan-j2-xsltc
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB - Java CORBA Object Request Broker.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
OpenORB - Java CORBA Object Request Broker.

This package contains documents for %{name}.

%prep

%setup -q -n OpenORB

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0
ln -sf $(build-classpath javahelp2) tools/lib/ext
# tools/lib/ext/avalon-framework.jar.no
ln -sf $(build-classpath avalon-framework-api) tools/lib/ext/avalon-framework-api.jar
ln -sf $(build-classpath avalon-framework-impl) tools/lib/ext/avalon-framework-impl.jar
# tools/lib/ext/build/ant.jar.no
ln -sf $(build-classpath ant) tools/lib/ext/build/ant.jar
# tools/lib/ext/build/ant-launcher.jar.no
ln -sf $(build-classpath ant-launcher) tools/lib/ext/build/ant-launcher.jar
# tools/lib/ext/build/batik.jar.no
ln -sf $(build-classpath batik-all) tools/lib/ext/build/batik.jar
# tools/lib/ext/build/checkstyle-all.jar.no
ln -sf $(build-classpath checkstyle) tools/lib/ext/build
# tools/lib/ext/build/fop.jar.no
ln -sf $(build-classpath fop) tools/lib/ext/build
# tools/lib/ext/build/jfor.jar.no
ln -sf $(build-classpath jfor) tools/lib/ext/build
# tools/lib/ext/build/jimi.jar.no
#
# tools/lib/ext/build/junit.jar.no
ln -sf $(build-classpath junit) tools/lib/ext/build
# tools/lib/ext/build/xalan.jar.no
ln -sf $(build-classpath xalan-j2) tools/lib/ext/build/xalan.jar
ln -sf $(build-classpath xalan-j2-serializer) tools/lib/ext/build
ln -sf $(build-classpath xsltc) tools/lib/ext/build

# tools/lib/ext/commons-cli.jar.no
ln -sf $(build-classpath commons-cli) tools/lib/ext
# tools/lib/ext/excalibur-configuration.jar.no
ln -sf $(build-classpath excalibur-configuration) tools/lib/ext
# tools/lib/ext/hsqldb.jar.no
ln -sf $(build-classpath hsqldb) tools/lib/ext
# tools/lib/ext/logkit.jar.no
ln -sf $(build-classpath avalon-logkit) tools/lib/ext/logkit.jar
# tools/lib/ext/xercesImpl.jar.no
ln -sf $(build-classpath xerces-j2) tools/lib/ext/xercesImpl.jar
# tools/lib/ext/xml-apis.jar.no
ln -sf $(build-classpath xml-commons-apis) tools/lib/ext/xml-apis.jar
# tools/lib/launcher.jar.no
#
# tools/lib/openorb_native.jar.no
#
# tools/lib/tools_test-1.4.0.jar.no

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-cli avalon-framework-api avalon-framework-impl avalon-logkit excalibur-configuration xalan-j2 xsltc)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  jar doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_orb-%{version}.jar %{buildroot}%{_javadir}/openorb-%{version}.jar
install -m 644 lib/openorb_orb_tools-%{version}.jar %{buildroot}%{_javadir}/openorb-tools-%{version}.jar
install -m 644 lib/endorsed/openorb_orb_omg-%{version}.jar %{buildroot}%{_javadir}/openorb-omg-%{version}.jar
install -m 644 tools/lib/tools-%{version}.jar %{buildroot}%{_javadir}/tools-openorb-%{version}.jar
#install -m 644 tools/lib/launcher.jar %{buildroot}%{_javadir}/openorb-launcher-%{version}.jar in tools-openorb-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-%{version}/
cp -pr doc/javadoc-omg/* %{buildroot}%{_javadocdir}/openorb-%{version}/omg
ln -s openorb-%{version} %{buildroot}%{_javadocdir}/openorb

%files
%{_javadir}/openorb-%{version}.jar
%{_javadir}/openorb.jar
%{_javadir}/openorb-omg-%{version}.jar
%{_javadir}/openorb-omg.jar
%{_javadir}/openorb-tools-%{version}.jar
%{_javadir}/openorb-tools.jar
%{_javadir}/tools-openorb-%{version}.jar
%{_javadir}/tools-openorb.jar
%doc LICENSE.txt README

%files javadoc
%{_javadocdir}/openorb-%{version}
%{_javadocdir}/openorb

%files manual
%doc doc/*.html doc/html_img



%changelog

* Sun Aug 28 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 135859
- Fix build ( from gil)
- Clean spec file

  + gil <gil>
    - imported package openorb


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm